Bug 817786 - Compilation warning on usage of KrbException (internal proprietary API)
Compilation warning on usage of KrbException (internal proprietary API)
Status: CLOSED WONTFIX
Product: oVirt
Classification: Community
Component: ovirt-engine-core (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Yair Zaslavsky
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-01 05:55 EDT by Yaniv Kaul
Modified: 2015-03-04 19:17 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-05 05:58:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yaniv Kaul 2012-05-01 05:55:30 EDT
Description of problem:
Compilation on F17/beta, with Java 7:

[INFO] Compiling 704 source files to /home/ykaul/ovirt-engine/backend/manager/modules/bll/target/classes
[WARNING] /home/ykaul/ovirt-engine/backend/manager/modules/bll/src/main/java/org/ovirt/engine/core/bll/adbroker/KerberosManagerSericeManagmentMBean.java:[3,24] KrbException is internal proprietary API and may be removed in a future release
[WARNING] /home/ykaul/ovirt-engine/backend/manager/modules/bll/src/main/java/org/ovirt/engine/core/bll/adbroker/KerberosManager.java:[9,24] Config is internal proprietary API and may be removed in a future release
[WARNING] /home/ykaul/ovirt-engine/backend/manager/modules/bll/src/main/java/org/ovirt/engine/core/bll/adbroker/KerberosManager.java:[10,24] KrbException is internal proprietary API and may be removed in a future release
[WARNING] /home/ykaul/ovirt-engine/backend/manager/modules/bll/src/main/java/org/ovirt/engine/core/bll/adbroker/KerberosManagerSericeManagmentMBean.java:[8,33] KrbException is internal proprietary API and may be removed in a future release
[WARNING] /home/ykaul/ovirt-engine/backend/manager/modules/bll/src/main/java/org/ovirt/engine/core/bll/adbroker/LDAPTemplateWrapper.java:[65,57] LdapCtxFactory is internal proprietary API and may be removed in a future release
[WARNING] /home/ykaul/ovirt-engine/backend/manager/modules/bll/src/main/java/org/ovirt/engine/core/bll/adbroker/KerberosManager.java:[87,33] KrbException is internal proprietary API and may be removed in a future release
[WARNING] /home/ykaul/ovirt-engine/backend/manager/modules/bll/src/main/java/org/ovirt/engine/core/bll/adbroker/KerberosManager.java:[92,8] Config is internal proprietary API and may be removed in a future release

Version-Release number of selected component (if applicable):
git hash 8bfff1ff2e61474847312c1799bca8432b9df545

How reproducible:
Always.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Itamar Heim 2012-12-13 03:14:13 EST
yair - thoughts?
Comment 3 Barak 2013-08-04 06:47:47 EDT
Yair - Is this bug still relevant ?
Comment 4 Yair Zaslavsky 2013-08-04 07:08:19 EDT
(In reply to Barak from comment #3)
> Yair - Is this bug still relevant ?

Relevant.
Not sure how much it's worth the hassle though.
We can start changing the code (mainly method extraction refactoring) and add annotations to ignore the warnings, etc...
But do we really want to do that?
Comment 5 Itamar Heim 2014-01-05 05:58:24 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.